import { Service } from '../../../../../core/Service';
import { Abiturdaten } from '../../../../../core/data/gost/Abiturdaten';
export declare class AbiturBlockIMarkierAlgorithmus extends Service<Abiturdaten | null, Abiturdaten | null> {
    /**
     * Erzeugt einen Markierungs-Dienst zur Markierung der Kurse aus dem Block I der Abiturdaten, welche
     * in die Punktewertung für die Abiturzulassung und in das Abitur einfliessen.
     */
    constructor();
    handle(abidaten: Abiturdaten | null): Abiturdaten | null;
    isTranspiledInstanceOf(name: string): boolean;
}
export declare function cast_de_nrw_schule_svws_core_abschluss_gost_abitur_services_AbiturBlockIMarkierAlgorithmus(obj: unknown): AbiturBlockIMarkierAlgorithmus;
